1.7.5->2.5 Update-paketteja ei löydy - onko php.ini ongelma

  • Robinson
  • Robinson hahmo Aiheen kirjoittaja
  • Poissa
  • Tulokas
  • Tulokas
Lisää
31.08.2014 18:53 #7170 : Robinson
Robinson loi aiheen: 1.7.5->2.5 Update-paketteja ei löydy - onko php.ini ongelma
Oli tarkoitus ensimmäistä kertaa päivittää 1.7.0 -> 2.5. Otin sivustosta kopion alihakemistoon. Kun Lisäosien hallinnassa Etsin päivityksiä, ei löytynyt päivitettävää. Luin jostain että toiminto pelaa vain 1.7.5, joten päivitin siihen versioon perinteisellä tavalla. Sen jälkeen hain päivityksiä, löytyi JCE:n uudempi versio, mutta ei Joomlaa.
Lisäosien hallinta varoittaa: PHP-väliaikaishakemisto on hakemisto, jota PHP käyttää ladatun tiedoston tallentamiseen ennen kuin Joomla voi käyttää tätä tiedostoa. Vaikka hakemistoa ei ole asetettu, eikä se ole aina varsinainen ongelma, jos kuitenkin saat ongelmatapauksessa ilmoituksen, ettei tiedostoja havaita tai ladattuja tiedostoja ei havaita, asettamalla tämän php.ini-tiedostossa saattaa ongelma korjautua.
Voiko Joomlan päivtyspakettien löytymättömyys, johtua php.ini -asiasta ja miten asian voi korjata? Palveluntarjoaja Netfinn.

Koska Joomlan oma päivitys ei toiminut, latasin 2.5.24 Stable Fullin ja purin sen cpanelin tiedostohallinnassa. Sen jälkeen tein Tietokanta Korjaa ja sain tuloksen 66 tietokantamuutosta tarkistettu onnistuneesti, 45 tietokantamuutosta ei muuttanut taulurakennetta ja ohitettiin. Onko tämä normaali ilmoitus, siis että osa jää muuttumattomaksi?
Edelleenkään ei Lisäosien hallinnasta löydy päivitettävää - en tiedä pitäisikö löytyä. Oliko työtapani oikea? Nythän on vielä se oikea site päivittämättä.

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

Lisää
03.09.2014 17:46 #7171 : quietFinn
quietFinn vastasi aiheeseen: 1.7.5->2.5 Update-paketteja ei löydy - onko php.ini ongelma
Onkos tästä asiasta tehty tukipyyntö?

netFinn - Taatusti Joomla!-yhteensopiva webhosting: www.netfinn.fi

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

Lisää
05.09.2014 13:55 #7173 : VNiemi
VNiemi vastasi aiheeseen: 1.7.5->2.5 Update-paketteja ei löydy - onko php.ini ongelma
Sellainen mitä voi kokeilla, jos lisäosien päivitystarkistus toimii, mutta Joomlan ei, on Joomlan tilapäistiedostojen puhdistaminen. Ilmeisesti jos sinne jää turha tiedosto "hillumaan", uudet päivitystarkistukset eivät osaa sitä ylikirjoittaa vaan epäonnistuvat. Jolloin Joomla! ei päivityksiä löydä.

Jos JCEn päivittäminen toimi, mutta Joomlan ei, ongelma tuskin johtuu PHP asetuksista. Kuten ilmoitus sanoi, tämän asetuksen puuttuminen ei yleensä haittaa.

Ne tietokannankorjauksen ilmoitukset tulevat SQLn "jargonista" ja niiden pitäisikin näyttää suurin piirtein tuolta. Eli esimerkiksi taulun sarakkeen lisääminen tai poistaminen ohitetaan, jos se on jo tehty (sarake on jo tai sitä ei ole), koska muuten SQL antaa virheen.

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

Valvojat: jkwebdesignGamossJiiKoo
Sivu luotiin ajassa: 0.039 sekuntia